/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import javax.swing.JDialog;

import org.cocktail.kaki.common.KakiIcones;

/**
 *
 * @author  cpinsard
 */
public class AgentsFinderView extends JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/** Creates new form AgentsFinderView */
	public AgentsFinderView(java.awt.Frame parent, boolean modal) {
		super(parent, modal);
		initComponents();
		initGui();
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonFind = new javax.swing.JButton();
        buttonClose = new javax.swing.JButton();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        checkElementNegatif = new javax.swing.JCheckBox();
        jLabel22 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        checkBSNegatif = new javax.swing.JCheckBox();
        tfLibelleComplementaire = new javax.swing.JTextField();
        checkElementNull = new javax.swing.JCheckBox();
        buttonDelCompte6 = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        tfLibelleElement = new javax.swing.JTextField();
        tfCodeImput = new javax.swing.JTextField();
        buttonDelElement = new javax.swing.JButton();
        tfLibelleImput = new javax.swing.JTextField();
        buttonGetCompte6 = new javax.swing.JButton();
        tfCodeElement = new javax.swing.JTextField();
        jLabel9 = new javax.swing.JLabel();
        popupConex = new javax.swing.JComboBox();
        buttonGetElement = new javax.swing.JButton();
        jPanel2 = new javax.swing.JPanel();
        checkLbud = new javax.swing.JCheckBox();
        buttonGetConvention = new javax.swing.JButton();
        checkElementLbud = new javax.swing.JCheckBox();
        buttonDelAction = new javax.swing.JButton();
        tfSousCr = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        tfLibelleConvention = new javax.swing.JTextField();
        tfCr = new javax.swing.JTextField();
        buttonGetAction = new javax.swing.JButton();
        tfAction = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        buttonDelConvention = new javax.swing.JButton();
        tfUb = new javax.swing.JTextField();
        jPanel3 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        popupCodesGestion = new javax.swing.JComboBox();
        jLabel24 = new javax.swing.JLabel();
        tfSousDestination = new javax.swing.JTextField();
        tfGrade = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        tfCodePoste = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        popupCompta = new javax.swing.JComboBox();
        buttonGetAffectation = new javax.swing.JButton();
        popupBudget = new javax.swing.JComboBox();
        tfConvention = new javax.swing.JTextField();
        popupMinisteres = new javax.swing.JComboBox();
        buttonDelAffectation = new javax.swing.JButton();
        jLabel19 = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        popupPlafondEmploi = new javax.swing.JComboBox();
        tfDestination = new javax.swing.JTextField();
        buttonDelGrade = new javax.swing.JButton();
        tfAffectation = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        buttonGetGrade = new javax.swing.JButton();
        jLabel25 = new javax.swing.JLabel();
        popupCap = new javax.swing.JComboBox();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Recherche Agents");

        buttonFind.setText("Rechercher");

        buttonClose.setText("Fermer");
        buttonClose.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonCloseActionPerformed(evt);
            }
        });

        jLabel11.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel11.setText("Informations Budgétaires");
        jLabel11.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));

        jLabel12.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel12.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel12.setText("KX Elements");
        jLabel12.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));

        jLabel13.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel13.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel13.setText("Dossier Agent");
        jLabel13.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));

        checkElementNegatif.setText("KX Element Négatif");
        checkElementNegatif.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkElementNegatifActionPerformed(evt);
            }
        });

        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel22.setText("Libellé Complément :");

        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("CONEX :");

        checkBSNegatif.setText("BS Négatif (Net <=0)");
        checkBSNegatif.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkBSNegatifActionPerformed(evt);
            }
        });

        tfLibelleComplementaire.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfLibelleComplementaireActionPerformed(evt);
            }
        });

        checkElementNull.setText("Code Elément NULL");
        checkElementNull.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkElementNullActionPerformed(evt);
            }
        });

        jLabel10.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel10.setText("Compte 6 :");

        tfLibelleElement.setEditable(false);
        tfLibelleElement.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfLibelleElementActionPerformed(evt);
            }
        });

        tfCodeImput.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfCodeImputActionPerformed(evt);
            }
        });

        tfLibelleImput.setEditable(false);
        tfLibelleImput.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfLibelleImputActionPerformed(evt);
            }
        });

        tfCodeElement.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfCodeElementActionPerformed(evt);
            }
        });

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("Element TG :");

        popupConex.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(jLabel10, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 117, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(tfCodeElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 58, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfLibelleElement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 441, Short.MAX_VALUE))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(tfCodeImput, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 58, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfLibelleImput, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 441, Short.MAX_VALUE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(buttonGetElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonDelElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                                .add(buttonGetCompte6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonDelCompte6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel22, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 116, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(popupConex, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 204, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(checkElementNegatif)
                                .add(18, 18, 18)
                                .add(checkBSNegatif)
                                .add(18, 18, 18)
                                .add(checkElementNull))
                            .add(tfLibelleComplementaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 318, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel9)
                            .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(tfLibelleElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(tfCodeElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(8, 8, 8)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel10)
                            .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(tfCodeImput, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(tfLibelleImput, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(buttonGetElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonDelElement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(buttonGetCompte6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonDelCompte6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel22)
                    .add(tfLibelleComplementaire, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel20)
                    .add(popupConex, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkElementNegatif)
                    .add(checkBSNegatif)
                    .add(checkElementNull))
                .addContainerGap())
        );

        checkLbud.setText("Pas de données budgétaires / Données budgétaires erronées");
        checkLbud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkLbudActionPerformed(evt);
            }
        });

        checkElementLbud.setText("Ligne budgétaire distincte / Element");
        checkElementLbud.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkElementLbudActionPerformed(evt);
            }
        });

        tfSousCr.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfSousCrActionPerformed(evt);
            }
        });

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("UB :");

        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel23.setText("Convention :");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("CR :");

        tfLibelleConvention.setEditable(false);
        tfLibelleConvention.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfLibelleConventionActionPerformed(evt);
            }
        });

        tfCr.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfCrActionPerformed(evt);
            }
        });

        tfAction.setEditable(false);
        tfAction.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfActionActionPerformed(evt);
            }
        });

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Action :");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("SOUS CR :");

        tfUb.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfUbActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 94, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(tfUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 31, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel6)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(181, 181, 181))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jLabel23, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(tfLibelleConvention, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 525, Short.MAX_VALUE)
                            .add(tfAction, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 525, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, checkLbud)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, checkElementLbud))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(buttonGetAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonDelAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(buttonGetConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(tfUb, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(tfCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel6)
                    .add(tfSousCr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel8)
                            .add(tfAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(19, 19, 19)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel23)
                            .add(tfLibelleConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(9, 9, 9)
                        .add(checkLbud)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkElementLbud))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(buttonGetAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonDelAction, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(17, 17, 17)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(buttonGetConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonDelConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Code Gestion :");

        jLabel15.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel15.setText("Destination :");

        popupCodesGestion.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel24.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel24.setText("Code Poste");

        tfSousDestination.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfSousDestinationActionPerformed(evt);
            }
        });

        tfGrade.setEditable(false);
        tfGrade.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfGradeActionPerformed(evt);
            }
        });

        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Plaf Emploi :");

        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel21.setText("Tem Compta : ");

        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel14.setText("Convention :");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Ministère :");

        tfCodePoste.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfCodePosteActionPerformed(evt);
            }
        });

        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Budget :");

        popupCompta.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        popupBudget.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        tfConvention.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfConventionActionPerformed(evt);
            }
        });

        popupMinisteres.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Affectation :");

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("Sous Destination :");

        popupPlafondEmploi.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        tfDestination.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfDestinationActionPerformed(evt);
            }
        });

        tfAffectation.setEditable(false);
        tfAffectation.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfAffectationActionPerformed(evt);
            }
        });

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Grade :");

        jLabel25.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel25.setText("Tem CAP ");

        popupCap.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout jPanel3Layout = new org.jdesktop.layout.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(22, 22, 22)
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel3Layout.createSequentialGroup()
                                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(jPanel3Layout.createSequentialGroup()
                                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(jPanel3Layout.createSequentialGroup()
                                                .add(jLabel15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(tfDestination))
                                            .add(jPanel3Layout.createSequentialGroup()
                                                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                                .add(popupMinisteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                            .add(jLabel14, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                            .add(jLabel16))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                            .add(tfSousDestination)
                                            .add(tfConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 71, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                            .add(jLabel17)
                                            .add(jLabel18))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(popupPlafondEmploi, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(popupBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                    .add(jLabel21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 103, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(popupCompta, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel3Layout.createSequentialGroup()
                                .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 290, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(buttonGetAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonDelAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel3Layout.createSequentialGroup()
                                .add(jLabel24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfCodePoste, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel3Layout.createSequentialGroup()
                                .add(tfGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 386, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonGetGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(buttonDelGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(jPanel3Layout.createSequentialGroup()
                                .add(popupCodesGestion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 260, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(181, 181, 181)
                                .add(jLabel25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 71, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(popupCap, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(18, Short.MAX_VALUE))
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(popupCodesGestion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(popupCompta, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel21)
                    .add(jLabel25)
                    .add(popupCap, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel3Layout.createSequentialGroup()
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel2)
                            .add(tfGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jPanel3Layout.createSequentialGroup()
                                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(popupMinisteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabel3)
                                    .add(jLabel14)
                                    .add(tfConvention, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabel17))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(jLabel15)
                                    .add(tfDestination, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(tfSousDestination, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabel16)
                                    .add(jLabel18)))
                            .add(jPanel3Layout.createSequentialGroup()
                                .add(popupPlafondEmploi, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(popupBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel19)
                            .add(tfAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonGetAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(buttonDelAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel24)
                            .add(tfCodePoste, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(buttonGetGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(buttonDelGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(layout.createSequentialGroup()
                            .add(jPanel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addContainerGap())
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                            .add(jLabel13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 694, Short.MAX_VALUE)
                            .addContainerGap())
                        .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                            .add(jLabel11, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 694, Short.MAX_VALUE)
                            .addContainerGap())
                        .add(layout.createSequentialGroup()
                            .add(jLabel12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 694, Short.MAX_VALUE)
                            .addContainerGap()))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(buttonClose, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 126, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(buttonFind, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 133, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap())))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel13)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jLabel11)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jLabel12)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(buttonClose)
                    .add(buttonFind))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-730)/2, (screenSize.height-687)/2, 730, 687);
    }// </editor-fold>//GEN-END:initComponents

	private void buttonCloseActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonCloseActionPerformed
		// TODO add your handling code here:

		dispose();
	}//GEN-LAST:event_buttonCloseActionPerformed

	private void tfGradeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfGradeActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfGradeActionPerformed

	private void tfUbActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfUbActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfUbActionPerformed

	private void tfCrActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfCrActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfCrActionPerformed

	private void tfSousCrActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfSousCrActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfSousCrActionPerformed

	private void tfActionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfActionActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfActionActionPerformed

	private void tfLibelleElementActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfLibelleElementActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfLibelleElementActionPerformed

	private void tfCodeImputActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfCodeImputActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfCodeImputActionPerformed

	private void tfLibelleImputActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfLibelleImputActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfLibelleImputActionPerformed

	private void tfCodeElementActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfCodeElementActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfCodeElementActionPerformed

	private void checkLbudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkLbudActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkLbudActionPerformed

	private void checkElementNegatifActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkElementNegatifActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkElementNegatifActionPerformed

	private void tfConventionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfConventionActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfConventionActionPerformed

	private void tfDestinationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfDestinationActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfDestinationActionPerformed

	private void tfSousDestinationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfSousDestinationActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfSousDestinationActionPerformed

	private void checkBSNegatifActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkBSNegatifActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkBSNegatifActionPerformed

	private void checkElementLbudActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkElementLbudActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkElementLbudActionPerformed

	private void tfAffectationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfAffectationActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfAffectationActionPerformed

	private void checkElementNullActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkElementNullActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_checkElementNullActionPerformed

	private void tfLibelleComplementaireActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfLibelleComplementaireActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfLibelleComplementaireActionPerformed

	private void tfLibelleConventionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfLibelleConventionActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfLibelleConventionActionPerformed

	private void tfCodePosteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfCodePosteActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_tfCodePosteActionPerformed

	public javax.swing.JButton getButtonDelAction() {
		return buttonDelAction;
	}

	/**
	 * @param args the command line arguments
	 */
	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				AgentsFinderView dialog = new AgentsFinderView(new javax.swing.JFrame(), true);
				dialog.addWindowListener(new java.awt.event.WindowAdapter() {
					public void windowClosing(java.awt.event.WindowEvent e) {
						System.exit(0);
					}
				});
				dialog.setVisible(true);
			}
		});
	}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton buttonClose;
    protected javax.swing.JButton buttonDelAction;
    protected javax.swing.JButton buttonDelAffectation;
    protected javax.swing.JButton buttonDelCompte6;
    protected javax.swing.JButton buttonDelConvention;
    protected javax.swing.JButton buttonDelElement;
    protected javax.swing.JButton buttonDelGrade;
    protected javax.swing.JButton buttonFind;
    protected javax.swing.JButton buttonGetAction;
    protected javax.swing.JButton buttonGetAffectation;
    protected javax.swing.JButton buttonGetCompte6;
    protected javax.swing.JButton buttonGetConvention;
    protected javax.swing.JButton buttonGetElement;
    protected javax.swing.JButton buttonGetGrade;
    public javax.swing.JCheckBox checkBSNegatif;
    public javax.swing.JCheckBox checkElementLbud;
    public javax.swing.JCheckBox checkElementNegatif;
    public javax.swing.JCheckBox checkElementNull;
    public javax.swing.JCheckBox checkLbud;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    protected javax.swing.JComboBox popupBudget;
    protected javax.swing.JComboBox popupCap;
    protected javax.swing.JComboBox popupCodesGestion;
    protected javax.swing.JComboBox popupCompta;
    protected javax.swing.JComboBox popupConex;
    protected javax.swing.JComboBox popupMinisteres;
    protected javax.swing.JComboBox popupPlafondEmploi;
    protected javax.swing.JTextField tfAction;
    protected javax.swing.JTextField tfAffectation;
    protected javax.swing.JTextField tfCodeElement;
    protected javax.swing.JTextField tfCodeImput;
    protected javax.swing.JTextField tfCodePoste;
    protected javax.swing.JTextField tfConvention;
    protected javax.swing.JTextField tfCr;
    protected javax.swing.JTextField tfDestination;
    protected javax.swing.JTextField tfGrade;
    protected javax.swing.JTextField tfLibelleComplementaire;
    protected javax.swing.JTextField tfLibelleConvention;
    protected javax.swing.JTextField tfLibelleElement;
    protected javax.swing.JTextField tfLibelleImput;
    protected javax.swing.JTextField tfSousCr;
    protected javax.swing.JTextField tfSousDestination;
    protected javax.swing.JTextField tfUb;
    // End of variables declaration//GEN-END:variables

	public void initGui() {

		buttonClose.setIcon(KakiIcones.ICON_CLOSE);
		buttonFind.setIcon(KakiIcones.ICON_LOUPE_16);
		buttonGetGrade.setIcon(KakiIcones.ICON_SELECT_16);
		buttonDelGrade.setIcon(KakiIcones.ICON_DELETE);

		buttonGetAffectation.setIcon(KakiIcones.ICON_SELECT_16);
		buttonDelAffectation.setIcon(KakiIcones.ICON_DELETE);

		buttonGetAction.setIcon(KakiIcones.ICON_SELECT_16);
		buttonDelAction.setIcon(KakiIcones.ICON_DELETE);

		buttonGetConvention.setIcon(KakiIcones.ICON_SELECT_16);
		buttonDelConvention.setIcon(KakiIcones.ICON_DELETE);

		buttonGetElement.setIcon(KakiIcones.ICON_SELECT_16);
		buttonDelElement.setIcon(KakiIcones.ICON_DELETE);

		buttonGetCompte6.setIcon(KakiIcones.ICON_SELECT_16);
		buttonDelCompte6.setIcon(KakiIcones.ICON_DELETE);
	}

	public javax.swing.JButton getButtonClose() {
		return buttonClose;
	}

	public void setButtonClose(javax.swing.JButton buttonClose) {
		this.buttonClose = buttonClose;
	}

	public javax.swing.JButton getButtonDelAffectation() {
		return buttonDelAffectation;
	}

	public void setButtonDelAffectation(javax.swing.JButton buttonDelAffectation) {
		this.buttonDelAffectation = buttonDelAffectation;
	}

	public javax.swing.JButton getButtonDelCompte6() {
		return buttonDelCompte6;
	}

	public void setButtonDelCompte6(javax.swing.JButton buttonDelCompte6) {
		this.buttonDelCompte6 = buttonDelCompte6;
	}

	public javax.swing.JButton getButtonDelConvention() {
		return buttonDelConvention;
	}

	public void setButtonDelConvention(javax.swing.JButton buttonDelConvention) {
		this.buttonDelConvention = buttonDelConvention;
	}

	public javax.swing.JButton getButtonDelElement() {
		return buttonDelElement;
	}

	public void setButtonDelElement(javax.swing.JButton buttonDelElement) {
		this.buttonDelElement = buttonDelElement;
	}

	public javax.swing.JButton getButtonDelGrade() {
		return buttonDelGrade;
	}

	public void setButtonDelGrade(javax.swing.JButton buttonDelGrade) {
		this.buttonDelGrade = buttonDelGrade;
	}

	public javax.swing.JButton getButtonFind() {
		return buttonFind;
	}

	public void setButtonFind(javax.swing.JButton buttonFind) {
		this.buttonFind = buttonFind;
	}

	public javax.swing.JButton getButtonGetAction() {
		return buttonGetAction;
	}

	public void setButtonGetAction(javax.swing.JButton buttonGetAction) {
		this.buttonGetAction = buttonGetAction;
	}

	public javax.swing.JButton getButtonGetAffectation() {
		return buttonGetAffectation;
	}

	public void setButtonGetAffectation(javax.swing.JButton buttonGetAffectation) {
		this.buttonGetAffectation = buttonGetAffectation;
	}

	public javax.swing.JButton getButtonGetCompte6() {
		return buttonGetCompte6;
	}

	public void setButtonGetCompte6(javax.swing.JButton buttonGetCompte6) {
		this.buttonGetCompte6 = buttonGetCompte6;
	}

	public javax.swing.JButton getButtonGetConvention() {
		return buttonGetConvention;
	}

	public void setButtonGetConvention(javax.swing.JButton buttonGetConvention) {
		this.buttonGetConvention = buttonGetConvention;
	}

	public javax.swing.JButton getButtonGetElement() {
		return buttonGetElement;
	}

	public void setButtonGetElement(javax.swing.JButton buttonGetElement) {
		this.buttonGetElement = buttonGetElement;
	}

	public javax.swing.JButton getButtonGetGrade() {
		return buttonGetGrade;
	}

	public void setButtonGetGrade(javax.swing.JButton buttonGetGrade) {
		this.buttonGetGrade = buttonGetGrade;
	}

	public javax.swing.JCheckBox getCheckBSNegatif() {
		return checkBSNegatif;
	}

	public void setCheckBSNegatif(javax.swing.JCheckBox checkBSNegatif) {
		this.checkBSNegatif = checkBSNegatif;
	}

	public javax.swing.JCheckBox getCheckElementLbud() {
		return checkElementLbud;
	}

	public void setCheckElementLbud(javax.swing.JCheckBox checkElementLbud) {
		this.checkElementLbud = checkElementLbud;
	}

	public javax.swing.JCheckBox getCheckElementNegatif() {
		return checkElementNegatif;
	}

	public void setCheckElementNegatif(javax.swing.JCheckBox checkElementNegatif) {
		this.checkElementNegatif = checkElementNegatif;
	}

	public javax.swing.JCheckBox getCheckElementNull() {
		return checkElementNull;
	}

	public void setCheckElementNull(javax.swing.JCheckBox checkElementNull) {
		this.checkElementNull = checkElementNull;
	}

	public javax.swing.JCheckBox getCheckLbud() {
		return checkLbud;
	}

	public void setCheckLbud(javax.swing.JCheckBox checkLbud) {
		this.checkLbud = checkLbud;
	}

	public javax.swing.JComboBox getPopupBudget() {
		return popupBudget;
	}

	public void setPopupBudget(javax.swing.JComboBox popupBudget) {
		this.popupBudget = popupBudget;
	}

	public javax.swing.JComboBox getPopupCodesGestion() {
		return popupCodesGestion;
	}

	public void setPopupCodesGestion(javax.swing.JComboBox popupCodesGestion) {
		this.popupCodesGestion = popupCodesGestion;
	}

	public javax.swing.JComboBox getPopupCompta() {
		return popupCompta;
	}

	public void setPopupCompta(javax.swing.JComboBox popupCompta) {
		this.popupCompta = popupCompta;
	}

	public javax.swing.JComboBox getPopupConex() {
		return popupConex;
	}

	public void setPopupConex(javax.swing.JComboBox popupConex) {
		this.popupConex = popupConex;
	}

	public javax.swing.JComboBox getPopupMinisteres() {
		return popupMinisteres;
	}

	public void setPopupMinisteres(javax.swing.JComboBox popupMinisteres) {
		this.popupMinisteres = popupMinisteres;
	}

	public javax.swing.JComboBox getPopupPlafondEmploi() {
		return popupPlafondEmploi;
	}

	public void setPopupPlafondEmploi(javax.swing.JComboBox popupPlafondEmploi) {
		this.popupPlafondEmploi = popupPlafondEmploi;
	}

	public javax.swing.JTextField getTfAction() {
		return tfAction;
	}

	public void setTfAction(javax.swing.JTextField tfAction) {
		this.tfAction = tfAction;
	}

	public javax.swing.JTextField getTfAffectation() {
		return tfAffectation;
	}

	public void setTfAffectation(javax.swing.JTextField tfAffectation) {
		this.tfAffectation = tfAffectation;
	}

	public javax.swing.JTextField getTfCodeElement() {
		return tfCodeElement;
	}

	public void setTfCodeElement(javax.swing.JTextField tfCodeElement) {
		this.tfCodeElement = tfCodeElement;
	}

	public javax.swing.JTextField getTfCodeImput() {
		return tfCodeImput;
	}

	public void setTfCodeImput(javax.swing.JTextField tfCodeImput) {
		this.tfCodeImput = tfCodeImput;
	}

	public javax.swing.JTextField getTfCodePoste() {
		return tfCodePoste;
	}

	public void setTfCodePoste(javax.swing.JTextField tfCodePoste) {
		this.tfCodePoste = tfCodePoste;
	}

	public javax.swing.JTextField getTfConvention() {
		return tfConvention;
	}

	public void setTfConvention(javax.swing.JTextField tfConvention) {
		this.tfConvention = tfConvention;
	}

	public javax.swing.JTextField getTfCr() {
		return tfCr;
	}

	public void setTfCr(javax.swing.JTextField tfCr) {
		this.tfCr = tfCr;
	}

	public javax.swing.JTextField getTfDestination() {
		return tfDestination;
	}

	public void setTfDestination(javax.swing.JTextField tfDestination) {
		this.tfDestination = tfDestination;
	}

	public javax.swing.JTextField getTfGrade() {
		return tfGrade;
	}

	public void setTfGrade(javax.swing.JTextField tfGrade) {
		this.tfGrade = tfGrade;
	}

	public javax.swing.JTextField getTfLibelleComplementaire() {
		return tfLibelleComplementaire;
	}

	public void setTfLibelleComplementaire(
			javax.swing.JTextField tfLibelleComplementaire) {
		this.tfLibelleComplementaire = tfLibelleComplementaire;
	}

	public javax.swing.JTextField getTfLibelleConvention() {
		return tfLibelleConvention;
	}

	public void setTfLibelleConvention(javax.swing.JTextField tfLibelleConvention) {
		this.tfLibelleConvention = tfLibelleConvention;
	}

	public javax.swing.JTextField getTfLibelleElement() {
		return tfLibelleElement;
	}

	public void setTfLibelleElement(javax.swing.JTextField tfLibelleElement) {
		this.tfLibelleElement = tfLibelleElement;
	}

	public javax.swing.JTextField getTfLibelleImput() {
		return tfLibelleImput;
	}

	public void setTfLibelleImput(javax.swing.JTextField tfLibelleImput) {
		this.tfLibelleImput = tfLibelleImput;
	}

	public javax.swing.JTextField getTfSousCr() {
		return tfSousCr;
	}

	public void setTfSousCr(javax.swing.JTextField tfSousCr) {
		this.tfSousCr = tfSousCr;
	}

	public javax.swing.JTextField getTfSousDestination() {
		return tfSousDestination;
	}

	public void setTfSousDestination(javax.swing.JTextField tfSousDestination) {
		this.tfSousDestination = tfSousDestination;
	}

	public javax.swing.JTextField getTfUb() {
		return tfUb;
	}

	public void setTfUb(javax.swing.JTextField tfUb) {
		this.tfUb = tfUb;
	}

	public void setButtonDelAction(javax.swing.JButton buttonDelAction) {
		this.buttonDelAction = buttonDelAction;
	}

	public javax.swing.JComboBox getPopupCap() {
		return popupCap;
	}

	public void setPopupCap(javax.swing.JComboBox popupCap) {
		this.popupCap = popupCap;
	}






}